API Documentation | All Packages | All Classes | Index | Frames No Frames |
HighlightingEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class HighlightingEvent
Inheritance | HighlightingEvent flash.events.Event

Public Properties

| Property | Defined By
--- | --- | ---
|  | data : Array | HighlightingEvent

Public Methods

| Method | Defined By
--- | --- | ---
|  | HighlightingEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true) | HighlightingEvent
|  | clone():Event [override] | HighlightingEvent

Public Constants

| Constant | Defined By
--- | --- | ---
|  | GENE : String = Gene [static] | HighlightingEvent
|  | MODULE : String = Module [static] | HighlightingEvent
|  | SAMPLE : String = Sample [static] | HighlightingEvent

Property Detail

data | property

`public var data:Array`

Constructor Detail

HighlightingEvent | () | Constructor

`public function HighlightingEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true)`

Parameters

| `_type:String`
| `_data:Array` (default = `null`)``
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method Detail

clone | () | method

`override public function clone():Event`

Returns

| `Event`

Constant Detail

GENE | Constant

`public static const GENE:String = Gene`

MODULE | Constant |

`public static const MODULE:String = Module`

SAMPLE | Constant |

`public static const SAMPLE:String = Sample`

Mon Oct 17 2011, 09:13 PM -04:00